%global base_name kio-zeroconf

Name:    kdnssd
Summary: KDE Network Monitor for DNS-SD services (Zeroconf)
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 or GPLv3
URL:     https://invent.kde.org/network/kio-zeroconf

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/kio-zeroconf-%{version}.tar.xz

Provides: kio-zeroconf = %{version}-%{release}

BuildRequires: extra-cmake-modules
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DNSSD)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5KIO)

BuildRequires: pkgconfig(avahi-compat-libdns_sd)

Conflicts: kdenetwork-common < 7:4.10.80
Conflicts: kdenetwork-common <= 22.04.3
Provides:  kdenetwork-kdnssd = 7:%{version}-%{release}


%description
%{summary}.


%prep
%autosetup -n kio-zeroconf-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_plugindir}/kded/dnssdwatcher.so
%{_kf5_plugindir}/kio/zeroconf.so
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%dir %{_kf5_datadir}/remoteview/
%{_kf5_datadir}/remoteview/zeroconf.desktop
%{_kf5_metainfodir}/org.kde.kio_zeroconf.metainfo.xml


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
